Bug 1247932 - Can't create a VM in a local DC
Can't create a VM in a local DC
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: jniederm
Ilanit Stein
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 05:26 EDT by Vered Volansky
Modified: 2016-05-05 00:39 EDT (History)
11 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:29:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
vdsm log on local host (17.17 MB, text/plain)
2015-07-29 05:40 EDT, Vered Volansky
no flags Details
engine log (5.00 MB, text/plain)
2015-07-29 05:49 EDT, Vered Volansky
no flags Details
browser_stack_trace.txt (4.39 KB, text/plain)
2015-08-12 07:35 EDT, jniederm
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44825 master MERGED webadmin: Fix of NPE in DedicatedVmForVdsUnitToVmBaseBuilder Never
oVirt gerrit 44922 ovirt-engine-3.6 MERGED webadmin: Fix of NPE in DedicatedVmForVdsUnitToVmBaseBuilder Never

  None (edit)
Description Vered Volansky 2015-07-29 05:26:11 EDT
Description of problem:
Selecting a local DC.
When pressing OK nothing happens/dialog freezes.
OK button seems to just remain selected.
Smells like FE NPE.

Version-Release number of selected component (if applicable):
u/s master - e5a8905b85d957baf139d18fd72b237ed64bc532

How reproducible:
100%

Actual results:
Screen freeze.

Expected results:
Anything but.

Added logs, just in case, but doubt it'll help.
Comment 1 Vered Volansky 2015-07-29 05:40:21 EDT
Created attachment 1057260 [details]
vdsm log on local host
Comment 2 Vered Volansky 2015-07-29 05:49:48 EDT
Created attachment 1057262 [details]
engine log
Comment 3 jniederm 2015-08-12 07:35:28 EDT
Created attachment 1061914 [details]
browser_stack_trace.txt
Comment 4 Ilanit Stein 2015-12-09 04:51:32 EST
Jakub,

Would you please provide reproduce steps?

Thanks,
Ilanit.
Comment 5 jniederm 2015-12-09 11:46:27 EST
Steps to reproduce:
1. Create a Local DC with Cluster, Host and Storage.
2. Turn the DC to "up" state.
3. Open New VM dialog
4. Select the local DC
5. Enter VM name
6. Click "OK"
Comment 6 Ilanit Stein 2015-12-20 09:50:32 EST
Verified on rhevm 3.6.1.1-0.1.el6

Followed steps in comment 5.
(created local storage on the host)
VM created & run successfully.
Comment 7 Sandro Bonazzola 2015-12-22 08:29:53 EST
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.

Note You need to log in before you can comment on or make changes to this bug.